Skip to main content
POST
/
api
/
public
/
blogPosts
/
{postId}
/
comments

Post Blog Comment

Submits a new comment on a published blog post. Only available when comments are enabled for the post.

Authentication

Requires a valid customer bearer token.

Path Parameters

postId
number
required
Numeric identifier of the blog post. Returned as Id from GET /api/public/blogPosts.

Request Body

comment
string
required
The text body of the comment.

Response

Returns a 200 OK on success.

Examples

Post a comment

POST /api/public/blogPosts/55/comments
Authorization: Bearer {token}
Content-Type: application/json

{
  "comment": "Great article, very helpful tips!"
}
HTTP/1.1 200 OK

TypeScript Integration

import endpoints from '@/api/endpoints'

await httpClient.post(endpoints.blog.newComment(55), {
  comment: 'Great article, very helpful tips!',
})